List transactions
curl --request GET \
--url https://api.sandbox.busha.so/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"pagination": {
"current_entries_size": 20,
"next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
"previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
},
"data": [
{
"id": "platform_123456",
"object": "transaction",
"status": "completed",
"created_at": "2024-05-16T13:06:31.409336+01:00",
"reference": "ORD_7ain6FEDWB",
"user_id": "platform_123456",
"profile_id": "platform_123456",
"type": "buys",
"description": "Bought US Dollar",
"sub_description": "With USD Token",
"amount": "100",
"currency": "BTC",
"is_fiat": true,
"is_credit": true,
"status_description": "This has been processed by Busha",
"meta": {
"price": {
"amount": "100",
"currency": "<string>"
},
"balance": {
"total": "100",
"available": "100"
},
"conversion": {
"source_currency": "<string>",
"source_amount": "100",
"target_currency": "<string>",
"target_amount": "100",
"rate": "100",
"rate_explained": "<string>"
},
"source": {
"bank_name": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"session_id": "<string>"
},
"destination": {
"bank_name": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"session_id": "<string>"
},
"savings": {
"id": "<string>"
},
"service": {
"phone_number": "<string>",
"network": "<string>",
"merchant": "<string>",
"amount": "100",
"logo_url": "<string>",
"meter_no": "<string>",
"account_type": "<string>",
"smartcard_no": "<string>",
"plan_name": "<string>",
"bundle": "<string>",
"account_no": "<string>",
"recipient_email": "<string>",
"account_name": "<string>",
"account_address": "<string>"
},
"third_party_reference": "<string>",
"fee": {
"amount": "100",
"currency": "<string>"
},
"amounts": {
"fee": "100",
"amount_paid": "100",
"amount_added": "100"
},
"card_charge": {
"card_scheme": "<string>",
"card_last4": "<string>",
"merchant": {
"amount": "100",
"currency": "<string>"
},
"billing": {
"amount": "100",
"currency": "<string>"
},
"funding": {
"amount": "100",
"currency": "<string>"
},
"fee": {
"amount": "100",
"currency": "<string>"
},
"total": {
"amount": "100",
"currency": "<string>"
},
"rate": "100",
"formatted_rate": "<string>"
}
}
}
]
}Transactions
List transactions
Returns a list of transactions
GET
/
v1
/
transactions
List transactions
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Query Parameters
The order to sort the results
Available options:
asc, desc Example:
"asc"
Filter by currency
Filter by fiat currencies
Filter by transactions that are credit
Filter transactions by type
transaction type
Available options:
buys, sells, converts, utilities, rewards, loans, savings, savings.withdrawals, savings.deposit, savings.interests, deposits, withdrawals, sends, receives The cursor
The number of items to return
Example:
10
⌘I